# uconf

~~~
uconf: Activer ou désactiver un paramètre dans un fichier de configuration

USAGE
    uconf [options] config name[=value]...

OPTIONS
    -e
        Activer le paramètre (par défaut). Si le paramètre existe, mais est
        commenté, il est décommenté. Si une valeur est spécifiée pour le
        paramètre, le paramètre est modifié dans le fichier en conséquence.
    -q
        Cette option s'utilise avec l'option -e et le type shell. Elle permet
        de s'assurer que les valeurs ayant des espaces et/ou des caractères
        spéciaux sont quotées
    -d
        Désactiver le paramètre. Le paramètre est commenté s'il existe dans le
        fichier
    -a
        Ajouter une valeur à la variable, ou un paramètre avec cette valeur
        (suivant le type de fichier de configuration)
    -A
        Ajouter une valeur au tableau, ou un paramètre avec cette valeur
        (suivant le type de fichier de configuration)
    -t TYPE
        Type de fichier de configuration. TYPE peut être sh (par défaut), apache
        ou mysql.
        shell
            les paramètres sont de la forme 'name=value', et les commentaires
            débutent par '#'. Ce type peut être utilisé pour tous les fichiers
            ayant ces caractéristiques, dont les fichiers de script shell
        apache
            les paramètres sont de la forme 'name value', et les commentaires
            débutent par '#'. Ce type peut être utilisé pour tous les fichiers
            ayant ces caractéristiques, dont les fichiers de configuration
            apache
        mysql, php
            les paramètres sont dans des sections nommées de la forme [section],
            sont de la forme 'name=value', et les commentaires débutent par '#'
            ou ';'
            Ce type peut être utilisé pour tous les fichiers ayant ces
            caractéristiques, dont les fichiers de configuration de mysql et de
            php. Avec ce type, la section est obligatoire.
    -s SECTION
        Avec le type mysql, préciser la section dans laquelle inscrire le
        paramètre. Attention! La section DOIT exister, elle n'est pas créée
        automatiquement.
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary